Saltar al contenido principal
PUT
/
v1
/
organizations
/
{organization_id}
/
reporting-groups
/
{reporting_group_id}
/
agent-versions
Actualizar configuración de versiones de agente
curl --request PUT \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/agent-versions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_auto_update": false,
  "versions": {
    "windows_cp": {
      "early": "latest",
      "production": "latest"
    },
    "windows": {
      "early": "2.31.0",
      "production": "2.30.4"
    },
    "macos": {
      "early": "latest",
      "production": "1.10.0"
    },
    "linux": {
      "early": "latest",
      "production": "1.12.0"
    }
  }
}
'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/agent-versions"

payload = {
"agent_auto_update": False,
"versions": {
"windows_cp": {
"early": "latest",
"production": "latest"
},
"windows": {
"early": "2.31.0",
"production": "2.30.4"
},
"macos": {
"early": "latest",
"production": "1.10.0"
},
"linux": {
"early": "latest",
"production": "1.12.0"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_auto_update: false,
versions: {
windows_cp: {early: 'latest', production: 'latest'},
windows: {early: '2.31.0', production: '2.30.4'},
macos: {early: 'latest', production: '1.10.0'},
linux: {early: 'latest', production: '1.12.0'}
}
})
};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/agent-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent_auto_update": false,
  "versions": {
    "windows_cp": {
      "early": "latest",
      "production": "latest"
    },
    "windows": {
      "early": "2.31.0",
      "production": "2.30.4"
    },
    "macos": {
      "early": "latest",
      "production": "1.10.0"
    },
    "linux": {
      "early": "latest",
      "production": "1.12.0"
    }
  }
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

organization_id
string
requerido

Identificador de la organización objetivo.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
reporting_group_id
string
requerido

Identificador del grupo de reporte objetivo.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Cuerpo

application/json
agent_auto_update
boolean
requerido
versions
object
requerido

Respuesta

Versiones de agente actualizadas correctamente.

agent_auto_update
boolean
requerido
versions
object
requerido